%define upstream_name    Geo-Coordinates-Transform
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Transform Latitude/Longitude between various different coordinate 
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
There are several formats used to present geographic coordinates. For
example:

 * DMS Degrees:Minutes:Seconds (48 30 30, -117 30' 30")
 * DM Degrees:Decimal-Minutes (48 30.5, -117 30.5'), 
 * DD Decimal-Degrees (48.5083333, -17.5083333)

This module converts a list of provided latitude and longitude coordinates
in any of the three formats above (mixed input is ok) and converts to the
desired format. Note that special characters or non-numerical characters
such as " will throw an warning and return NaN for that list item.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.100.0-2.mga10
+ Revision: 2215541
- Mageia 10 Mass Rebuild

* Wed Oct 12 2022 tv <tv> 0.100.0-1.mga9
+ Revision: 1896432
- imported package perl-Geo-Coordinates-Transform


* Wed Oct 12 2022 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
